#
# spec file for package kdebase4-openSUSE
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           kdebase4-openSUSE
BuildRequires:  hwinfo-devel libkde4-devel oxygen-icon-theme rpm-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        openSUSE KDE Extension
PreReq:         %fillup_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        11.4
Release:        33.42.1
# git clone git://git.opensuse.org/projects/desktop/kdebase4-openSUSE.git
Source0:        kdebase4-openSUSE-%{version}.tar.bz2
Source2:        devel-splash.tar.bz2
Source4:        sysinfo_background.png
Requires:       kdebase4-workspace
Provides:       kdebase4-SuSE = 11.0
Obsoletes:      kdebase4-SuSE <= 11.0
Recommends:     kio_sysinfo = %version
Recommends:     %name-lang
%requires_ge    libqt4-x11

%description
This package contains the standard openSUSE desktop and extensions.

%package -n kio_sysinfo
License:        GPLv2+
Summary:        System Information KIO-Slave
Group:          System/GUI/KDE
Requires:       kio_sysinfo-branding = %{version}
Recommends:     %name-lang
%kde4_runtime_requires
Provides:       kdebase3-NLD:/opt/kde3/share/services/sysinfo.protocol
Provides:       kde4-kio_sysinfo = 11.3
Obsoletes:      kde4-kio_sysinfo <= 11.3

%description -n kio_sysinfo
This package contains a KDE KIO-Slave showing system information.

%package -n kdebase4-workspace-branding-openSUSE
License:        GPLv2+
Summary:        openSUSE KDE Extension
Group:          System/GUI/KDE
Requires:       kdebase4-workspace
Requires:       plasma-theme-aya
Supplements:    packageand(kdebase4-workspace:branding-openSUSE)
PreReq:         %fillup_prereq
Provides:       kdebase4-workspace-branding = %{version}
Conflicts:      otherproviders(kdebase4-workspace-branding)

%description -n kdebase4-workspace-branding-openSUSE
This package contains the standard openSUSE desktop and extensions.

%package -n kdebase4-runtime-branding-openSUSE
License:        GPLv2+
Summary:        The KDE Runtime Components
Group:          System/GUI/KDE
Requires:       kdebase4-runtime
Supplements:    packageand(kdebase4-runtime:branding-openSUSE)
PreReq:         %fillup_prereq
Provides:       kdebase4-runtime-branding = %{version}
Conflicts:      otherproviders(kdebase4-runtime-branding)

%description -n kdebase4-runtime-branding-openSUSE
This package contains all run-time dependencies of KDE applications.

%package -n kio_sysinfo-branding-openSUSE
License:        GPLv2+
Summary:        System Information KIO-Slave
Group:          System/GUI/KDE
Requires:       kio_sysinfo
Supplements:    packageand(kio_sysinfo:branding-openSUSE)
Provides:       kio_sysinfo-branding = %{version}
Conflicts:      otherproviders(kio_sysinfo-branding)
Provides:       kde4-kio_sysinfo-branding-openSUSE = 11.3
Obsoletes:      kde4-kio_sysinfo-branding-openSUSE <= 11.3

%description -n kio_sysinfo-branding-openSUSE
This package contains a KDE KIO-Slave showing system information.

%package -n kdm-branding-openSUSE
License:        GPLv2+
Summary:        KDE login and display manager
Group:          System/GUI/KDE
Supplements:    packageand(kdm:branding-openSUSE)
PreReq:         %fillup_prereq
Provides:       kdm-branding = %{version}
Conflicts:      otherproviders(kdm-branding)
Provides:       kde4-kdm-branding-openSUSE = 11.3
Obsoletes:      kde4-kdm-branding-openSUSE <= 11.3

%description -n kdm-branding-openSUSE
This package contains kdm, the login and session manager for KDE.

%package -n kdelibs4-branding-openSUSE
License:        LGPLv2.1+
Summary:        KDE Base Libraries: Build Environment
Group:          System/GUI/KDE
Requires:       kdelibs4
Supplements:    packageand(kdelibs4:branding-openSUSE)
Provides:       kdelibs4-branding = %{version}
Conflicts:      otherproviders(kdelibs4-branding)

%description -n kdelibs4-branding-openSUSE
This package contains all necessary include files and libraries needed
to develop KDE applications.

%lang_package
%prep
%setup -q -n %name

%build
  %cmake_kde4 -d build -- -DSYSINFO_DISTRO:STRING=SUSE
  %make_jobs

%install
  cd build
  %makeinstall
  cd ..
  install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/kde4/apps/sysinfo/about/images/background.png
  for l in SUSEgreeter krpmview kde4-openSUSE kio_sysinfo; do
    %find_lang $l suse.lang
  done
  cp -a config-files/* $RPM_BUILD_ROOT
  cp -a branding/root/* $RPM_BUILD_ROOT
  gzip $RPM_BUILD_ROOT/usr/share/kde4/apps/desktoptheme/openSUSEdefault/widgets/branding.svg
  mv $RPM_BUILD_ROOT/usr/share/kde4/apps/desktoptheme/openSUSEdefault/widgets/branding.svg.gz $RPM_BUILD_ROOT/usr/share/kde4/apps/desktoptheme/openSUSEdefault/widgets/branding.svgz
  cp $RPM_BUILD_ROOT/usr/share/wallpapers/openSUSEdefault/contents/images/1920x1200.jpg $RPM_BUILD_ROOT/usr/share/kde4/apps/kdm/themes/SUSE/background-1920x1200.jpg
  cp $RPM_BUILD_ROOT/usr/share/wallpapers/openSUSEdefault/contents/images/1600x1200.jpg $RPM_BUILD_ROOT/usr/share/kde4/apps/kdm/themes/SUSE/background-1600x1200.jpg
  mkdir -p $RPM_BUILD_ROOT/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse/1920x1200
  ln -s /usr/share/wallpapers/openSUSEdefault/contents/images/1920x1200.jpg $RPM_BUILD_ROOT/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse/1920x1200/background.jpg
  ln -s /usr/share/wallpapers/openSUSEdefault/contents/images/1600x1200.jpg $RPM_BUILD_ROOT/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse/1600x1200/background.jpg
  chmod og-w -R "${RPM_BUILD_ROOT}"
  %suse_update_desktop_file -u SUSEgreeter System Documentation
  %kde_post_install

%post -n kdebase4-workspace-branding-openSUSE
%{fillup_only -n windowmanager -s kde4}

%post -n kdm-branding-openSUSE
%{fillup_only -n displaymanager -s kdm}

%post -n kio_sysinfo
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun -n kio_sysinfo
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%files lang -f suse.lang
%defattr(-,root,root)

%files
%defattr(-,root,root)
%dir /usr/share/autostart
/usr/share/icons/hicolor/*/apps/Support.*
%dir /usr/share/kde4/env
/usr/bin/kde4-migrate
/usr/bin/kde_add_yast_source.sh
/usr/%_lib/kde4/libkrpmview.so
/usr/share/applications/kde4/konqfilemgr_rpm.desktop
/usr/share/kde4/apps/krpmview
/usr/share/kde4/services/krpmview.desktop
/usr/share/kde4/services/searchproviders
/usr/bin/preloadkde
/usr/share/kde4/config/SuSE/default/beagled-autostart.desktop.live
/usr/share/kde4/config/SuSE/default/lowspacesuse.live
/usr/share/kde4/config/SuSE/default/kupdateapplet-autostart.desktop.live

%files -n kdebase4-runtime-branding-openSUSE
%defattr(-,root,root)
%doc branding/COPYING
/usr/share/kde4/apps/desktoptheme/openSUSEdefault

%files -n kdebase4-workspace-branding-openSUSE
%defattr(-,root,root)
%doc branding/COPYING
/usr/bin/SUSEgreeter
/usr/share/applications/kde4/SUSEgreeter.desktop
/usr/share/autostart/SUSEgreeter.desktop
/usr/share/kde4/apps/SUSEgreeter
%dir /etc/kde4
%dir /etc/kde4/share
%dir /etc/kde4/share/config
%config /etc/kde4/share/config/*rc
%config /etc/kde4/share/config/kdeglobals
/usr/share/icons/hicolor/*/apps/SUSEgreeter.*
/usr/share/icons/hicolor/*/apps/mycomp.*
%dir /usr/share/kde4/config
%dir /usr/share/kde4/config/SuSE
%dir /usr/share/kde4/config/SuSE/default
/usr/share/kde4/env/startkde.proxy.sh
/usr/share/kde4/env/startkde.suse.sh
/usr/share/kde4/config/SuSE/default/MozillaFirefox.desktop
/usr/share/kde4/config/SuSE/default/Office.desktop
/usr/share/kde4/config/SuSE/default/SuSE.desktop
/usr/share/kde4/config/SuSE/default/Support.desktop
/usr/share/kde4/config/SuSE/default/live-installer.desktop
/usr/share/kde4/config/SuSE/default/myComputer.desktop
/var/adm/fillup-templates/sysconfig.windowmanager-kde4
%dir /usr/share/icons/oxygen/scalable/places
/usr/share/icons/oxygen/*/places/start-here-branding.*
%dir /usr/share/kde4/apps/kwin
/usr/share/kde4/apps/kwin/cubecap.png
/usr/share/kde4/apps/kwin/titlebar_decor.png
%dir /usr/share/kde4/apps/desktoptheme
%dir /usr/share/kde4/apps/desktoptheme/openSUSEdefault
%dir /usr/share/kde4/apps/desktoptheme/openSUSEdefault/widgets
%dir /usr/share/kde4/apps/ksplash
/usr/share/kde4/apps/konsole
%dir /usr/share/kde4/apps/ksplash/Themes
/usr/share/kde4/apps/ksplash/Themes/ksplashx-suse
%dir /etc/kde4/share/apps
%dir /etc/kde4/share/apps/konqueror
%dir /etc/kde4/share/apps/konqueror/profiles
/etc/kde4/share/apps/konqueror/profiles/webbrowsing
/usr/share/kde4/config/SuSE/default/bookmarks.xml
/usr/share/kde4/config/SuSE/default/documents.directory
/usr/share/kde4/config/SuSE/default/kcmnspluginrc.live
/usr/share/kde4/config/SuSE/default/feeds.opml
/usr/share/kde4/config/SuSE/default/kdedrc.live
/usr/share/kde4/config/SuSE/default/clock-no-events.js.live
/usr/share/kde4/config/SuSE/default/krunnerrc.live
/usr/share/kde4/config/SuSE/default/kwallet.kwl.live
/usr/share/kde4/config/SuSE/default/kwalletrc.live
/usr/share/kde4/config/SuSE/default/mysql-local.conf.live
/usr/share/kde4/config/SuSE/default/nepomukserverrc.live
%dir /usr/share/kde4/apps/plasma/updates
/usr/share/kde4/apps/plasma/updates/opensuse-update-firefox-icon-url.js
/usr/share/opensuse-kiwi
/usr/share/wallpapers/

%files -n kio_sysinfo
%defattr(-,root,root)
#/opt/kde3/%_lib/kde3/libksysinfopart.*
%dir /usr/share/kde4/apps/sysinfo
#/usr/share/kde4/services/ksysinfopart.desktop
/usr/share/kde4/services/sysinfo.protocol
%_libdir/kde4/kio_sysinfo.so
%_libdir/kde4/libksysinfopart.so
%_kde_share_dir/services/ksysinfopart.desktop
/usr/share/mime/packages/x-sysinfo.xml
/usr/share/applications/kde4/kfmclient_sysinfo.desktop

%files -n kio_sysinfo-branding-openSUSE
%defattr(-,root,root)
%doc branding/COPYING
/usr/share/kde4/apps/sysinfo/about

%files -n kdm-branding-openSUSE
%defattr(-,root,root)
%doc branding/COPYING
%dir /usr/share/kde4/apps/kdm
%dir /usr/share/kde4/apps/kdm/themes
/usr/share/kde4/apps/kdm/themes/SUSE
/usr/share/kde4/apps/kdm/pics
/var/adm/fillup-templates/sysconfig.displaymanager-kdm

%files -n kdelibs4-branding-openSUSE
%defattr(-,root,root)
%doc branding/COPYING
%_kde4_appsdir/kdeui/about/body-background.jpg

%changelog
* Mon Aug  8 2011 dmueller@suse.de
- fix the search provider link (bnc#695417)
- translation update
* Tue Mar 15 2011 javier@opensuse.org
- Add missing kio_sysinfo background for 11.4 (bnc#665439)
* Fri Feb 25 2011 javier@opensuse.org
- adding kio_sysinfo branding
* Fri Feb 25 2011 coolo@novell.com
- restore kdeglobalsrc for firefox default (bnc#665497)
* Sat Feb 19 2011 wstephenson@novell.com
- Update KDM theme and KSplash metadata, remove extra pixels
  (bnc#663029)
* Fri Feb 18 2011 wstephenson@novell.com
- Update existing firefox icons Url in line with desktop file
  rename
* Thu Feb 17 2011 wstephenson@novell.com
- Call update-mime-database in pre/post install scripts
* Thu Feb 10 2011 wstephenson@novell.com
- Remove Locale/Country preconfiguration from SUSE KDE start
  script, KDE 4.6 can detect these itself (bko#262488)
* Fri Feb  4 2011 wstephenson@novell.com
- Update SUSEGreeter splash and more wallpapers
- Fix kdeui about background again
* Wed Jan 26 2011 wstephenson@novell.com
- Update openSUSE logo
* Sun Jan 23 2011 wstephenson@novell.com
- Use final Celadon green version of the artwork
* Thu Jan 20 2011 wstephenson@novell.com
- Disable Nepomuk on Live CDs too, too much IO for slow media
- Add synaptiksrc to enable tapping by default again
* Mon Jan 17 2011 coolo@novell.com
- fix build of live cd
* Fri Jan 14 2011 wstephenson@novell.com
- Another artwork update for 11.4
* Fri Jan 14 2011 wstephenson@novell.com
- Update Firefox' desktop filename for default browser and
  default Kickoff favourites
* Fri Jan 14 2011 wstephenson@novell.com
- Move config files into /etc/kde4 from /usr/share/kde4
- Index xdg-user-dirs by default with Strigi
- Disable Akonadi from starting by default in Live CDs
- Use smaller Akonadi logfiles in Live CDs
- Disable KPackageKit icon and kded module in Live CDs
* Thu Dec 16 2010 wstephenson@novell.com
- Update timestamp on artwork so wallpaper cache notices
* Sun Dec 12 2010 javier@opensuse.org
- added artwork by Ivan Čukić
* Wed Nov 24 2010 coolo@novell.com
- fixed one more version provides
* Wed Nov 24 2010 coolo@novell.com
- bump to 11.4 and enable nepomuk again
* Mon Oct  4 2010 wstephenson@novell.com
- Remove Konsole default branding to simplify packaging
* Tue Sep 14 2010 dmueller@suse.de
- fix runtime dependencies
* Thu Sep  2 2010 wstephenson@novell.com
- Fix Konsole Root Shell profile cannot be edited (bnc#581582)
* Thu Sep  2 2010 wstephenson@novell.com
- Modify the openSUSE Air desktop theme to use fallback components
  from upstream Air.  Bugs fixed in Air were still present in our
  variant, so only keep the modified elements.
* Wed Sep  1 2010 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Fri Jun 25 2010 llunak@novell.com
- updated translations (bnc#615385)
* Wed Jun 23 2010 wstephenson@novell.com
- Update default akregator feed URL file.
* Mon Jun 21 2010 llunak@novell.com
- unify wallpapers, avoids startup flicker
* Fri Jun 18 2010 wstephenson@novell.com
- Fix Plasma theme background when panel at top or left (sr41256)
- have Strigi index only the xdg-user-dirs by default
- Clean old version stuff out of the specfile
* Wed Jun 16 2010 wstephenson@novell.com
- show new default wallpaper (bnc#614748)
* Mon Jun 14 2010 wstephenson@novell.com
- updated branding for openSUSE 11.3
* Mon Jun 14 2010 llunak@novell.com
- updated translations
* Fri Jun  4 2010 llunak@novell.com
- add workaround for gconf default browser setting (bnc#601392)
* Fri May 28 2010 llunak@novell.com
- updated translations
- make kio_sysinfo aware of fbdev driver
* Thu May 20 2010 llunak@novell.com
- disable all debug output (bnc#588154)
* Tue May 18 2010 llunak@novell.com
- make krpmview show filelist also with recent rpm (bnc#574742)
* Thu May 13 2010 llunak@novell.com
- updated translations
- avoid kio_sysinfo crash (bnc#600902)
* Thu May  6 2010 javier@opensuse.org
- Fixed a typo and changed planetsuse.org to planet.opensuse.org
  in bookmarks.xml
* Fri Apr 30 2010 llunak@novell.com
- remove setting up of gtk style, done by kcm_gtk now
* Fri Apr 23 2010 llunak@novell.com
- update versions to 11.3
* Thu Apr 22 2010 wstephenson@novell.com
- fix Unknown network status appearing in sysinfo:// (bnc#596118)
- fix missing NVidia driver version number. (bnc#570200)
  Patch by Rafał Miłecki
* Mon Mar 15 2010 llunak@novell.com
- update kdm theme fixes for bnc#533189
* Tue Mar  9 2010 llunak@novell.com
- fix problems when fingerprint support is enabled (bnc#533189)
* Tue Oct 20 2009 llunak@novell.com
- revert initial disabled ksycoca as it breaks default settings
  (bnc#536545, bnc#547989, bnc#547378)
* Tue Oct 13 2009 coolo@novell.com
- fix live scripts to fix build on x86_64
* Sun Oct 11 2009 beineri@opensuse.org
- updated translations
- add konversationrc: join #opensuse by default
- assign Next/Play_Pause/Prev/Stop keys to global Amarok shortcuts
- replace compiz cap logo with guideline compliant one (bnc#540516)
- 11.2 theme derived branding for sysinfo:/ and SUSEgreeter
* Thu Oct  8 2009 llunak@novell.com
- use xdg-user-dir locations (bnc#540574)
* Tue Oct  6 2009 llunak@novell.com
- make disabling initial ksycoca check work (bnc#536545)
* Fri Sep 25 2009 beineri@opensuse.org
- updated translations
- adapt kdm list background color to rest of theme
- sysinfo:/ label and (un)mount fixes (bnc#533851, bnc#509125)
* Tue Sep 22 2009 llunak@novell.com
- kdeui about branding
* Wed Sep 16 2009 beineri@opensuse.org
- updated translations
- updated update_rpm for new hosting location
- rename default wallpaper to "Air openSUSE" (bnc#538840)
- add kwin branded cube cap
- switch to release greeter (bnc#535946)
* Mon Sep  7 2009 beineri@opensuse.org
- add missing metadata.desktop for new Plasma theme
* Mon Sep  7 2009 llunak@suse.cz
- 11.2 KDE artwork
* Fri Sep  4 2009 llunak@suse.cz
- updated translations
* Mon Aug 31 2009 llunak@novell.com
- build with rpm 4.7
* Tue Aug 18 2009 beineri@opensuse.org
- updated translations
- update Shell.profile (bnc#492290), move Root_Shell.profile in
- fix poor readabibity of kdm labels (bnc#456381)
- set Firefox as default browser in gconf to prevent Firefox popup
* Thu Aug 13 2009 beineri@opensuse.org
- fix defaulting to "default" plasma containment
* Mon Aug 10 2009 beineri@opensuse.org
- move sysconfig.displaymanager-kdm to kdm-branding package
* Thu Aug  6 2009 beineri@opensuse.org
- default to "default" plasma containment
- default to breadcrumb navigation in kfile and dolphin
* Sun Aug  2 2009 llunak@novell.com
- firefox as the default KDE browser (fate#306644)
* Fri Jul 24 2009 beineri@opensuse.org
- add branded background.svgz
* Wed Jul 22 2009 beineri@opensuse.org
- rename sysconfig.displaymanager-kde4-kdm to follow renames
* Tue Jul 14 2009 beineri@opensuse.org
- fix kde4-kdm-branding-openSUSE obsoletes
* Tue Jun 30 2009 beineri@opensuse.org
- change default to Air theme
* Sun Jun 21 2009 beineri@opensuse.org
- rename kde4-kio_sysinfo* to kio_sysinfo*
- rename kde4-kdm-branding-openSUSE to kdm-branding-openSUSE
* Thu Jun 11 2009 wstephenson@suse.de
- Disable Nepomuk globally by default
* Mon Jun  8 2009 llunak@suse.cz
- support for global proxy settings (bnc#334811)
* Wed Jun  3 2009 llunak@suse.cz
- use kio_sysinfo from KDE SVN
* Mon Jun  1 2009 binner@kde.org
- fix build with glibc 2.10
* Tue May 26 2009 beineri@opensuse.org
- fix live installer icon showing up as gear
- fix default containment and wallpaper
* Mon May 18 2009 beineri@opensuse.org
- Plasma 4.3 wants to have ~/Desktop/*.desktop files executable
- provide start-here-branding icon also in non-scalable form
* Sun May 10 2009 beineri@opensuse.org
- special SUSEgreeter splash for development releases
- add (web)pin search provider definition
- don't require kde-susetranslations
* Sat May  2 2009 beineri@opensuse.org
- add kdebase4-runtime-branding-openSUSE sub-package
* Fri Apr 24 2009 coolo@suse.de
- create the live installer icon again
* Wed Apr 15 2009 coolo@suse.de
- fix file list again (sorry, I'm PrjMgr)
* Wed Apr 15 2009 coolo@suse.de
- fix file list
* Thu Apr  9 2009 coolo@suse.de
- move some kde specific code from the livecd setup into
  the generic branding package
* Mon Apr  6 2009 llunak@suse.cz
- disable Nepomuk on LiveCD (patch from stbinner)
* Tue Feb 17 2009 stbinner@suse.de
- bump version to 11.2
- change Kickoff Favorites to Amarok/KDE4 and Digikam/KDE4
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Sat Nov 29 2008 stbinner@suse.de
- readd Kontact to Kickoff Favorites (bnc#386374)
- translation update (fixes also bnc#449786)
* Thu Nov 27 2008 stbinner@suse.de
- greeter: link help.o.o for "Introduction to KDE4" text
- Amarok2 -> Amarok/KDE3 in Kickoff favorites (bnc#449422)
- translation update
* Wed Nov 26 2008 llunak@suse.cz
- Amarok2 -> Amarok/KDE3 in favorites (bnc#449422)
* Mon Nov 24 2008 llunak@suse.cz
- set up locale properly (bnc#446983)
* Mon Nov 24 2008 llunak@suse.cz
- set up locale properly (bnc#446983)
* Fri Nov 21 2008 stbinner@suse.de
- update kio_sysinfo background
- translation update
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Wed Nov 19 2008 stbinner@suse.de
- updated config for low disc space notification disable (bnc#437911)
- make desktop containment and Kickoff favorites defaults branding
- updated translations
* Tue Nov 11 2008 dmueller@suse.de
- update from SVN:
  * translation updates
  * kio_sysinfo fixes
  * migrate kopete chat logs
  * fix One click install requires confirmation (bnc#416660)
* Fri Nov  7 2008 dmueller@suse.de
- kdm4 branding update
- translation updates
* Fri Nov  7 2008 stbinner@suse.de
- don't run updater on Live-CD reloaded (bnc#440329)
- show "Copy To"/"Move To" context menu in Dolphin by default
- SUSEgreeter: add link to online KDE4 introduction
- translation updates
* Wed Oct 29 2008 stbinner@suse.de
- require kde-susetranslations for KDE3 libs & apps translations
* Mon Oct 27 2008 stbinner@suse.de
- translation update
- default to expandable folders in Dolphin's details view
- no breadcrumb navigation in Dolphin and file dialogs by default
* Thu Oct 23 2008 llunak@suse.cz
- Use 11.1 splash (bnc#434784)
* Thu Oct 16 2008 stbinner@suse.de
- use 11.1 wallpaper
* Mon Oct 13 2008 stbinner@suse.de
- translation update
* Tue Oct  7 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Thu Sep 18 2008 stbinner@suse.de
- bump branding version number to 11.1
* Fri Sep  5 2008 stbinner@suse.de
- more 11.1 changes including documentation bookmark (Fate#305003)
* Fri Jul 25 2008 stbinner@suse.de
- brand root window cursor theme
- don't install trash.desktop to ~/Desktop anymore
* Tue Jul 15 2008 stbinner@suse.de
- default to Oxygen_white mouse cursor icon theme
- don't install kmix_autostart.desktop
* Mon Jun 30 2008 dmueller@suse.de
- branding requires at 11.0.42
* Thu Jun 26 2008 stbinner@suse.de
- update from SVN; bump version number to 11.1
* Mon Jun  9 2008 dmueller@suse.de
- translation update
* Thu Jun  5 2008 dmueller@suse.de
- fix requires for older distros
- do not migrate khotkeys, doesn't work (bnc#397817)
* Wed Jun  4 2008 stbinner@suse.de
- translation updates
* Tue Jun  3 2008 dmueller@suse.de
- fix requires on translation package
- fix translations for sysinfo:/ (bnc#389605)
- translation update
- remove conflicht with branding packages again
- fix desktop icon look
* Thu May 29 2008 dmueller@suse.de
- translation updates
* Tue May 27 2008 dmueller@suse.de
- opt-in kde3->kde4 config migration (bnc#372170)
* Mon May 26 2008 dmueller@suse.de
- fix context menu of sysinfo:/ media urls
* Mon May 26 2008 stbinner@suse.de
- put new default windeco color also in branding package
- kio_sysinfo: new theme doesn't need autorepeating background
- translation update
* Fri May 23 2008 llunak@suse.de
- update artwork for greeter (bnc#386486)
* Fri May 23 2008 stbinner@suse.de
- don't show "untrusted link" warning for IRC links on help.o.o
- fix Konsole shell profile history setting
- greeter: no frame, fix avoiding scrollbars.
- kio_sysinfo: update icon, actually install repeated background
- translation update
* Mon May 19 2008 stbinner@suse.de
- move the kdm error message more up (bnc#391830)
- don't start some services on the Live-CD (bnc#345135)
* Fri May 16 2008 dmueller@suse.de
- translation update
- fix system button disappearing on kdm when shutdownmode=none is set
- enable dpms by default
- enable screensaver by default
* Fri May 16 2008 stbinner@suse.de
- add additional bookmarks requested by AJ/Zonker
- add +DISPLAYMANAGER_KDM_LOCALARGS (bnc#294491)
- add /usr/bin/preloadkde
- remove /etc/kde4rc (moved to kdelibs4)
- translations updates
* Fri May  9 2008 stbinner@suse.de
- make start menu branding graphics transparent (bnc#386679)
- translation updates
* Tue May  6 2008 dmueller@suse.de
- kdm4 branding update
- translation updates
* Mon Apr 28 2008 dmueller@suse.de
- translation update
- fix kdm4 branding
* Fri Apr 25 2008 dmueller@suse.de
- add kde4-kdm branding (bnc#369319)
* Tue Apr 22 2008 stbinner@suse.de
- conflict with kdebase4-workspace-branding-upstream
* Wed Apr 16 2008 stbinner@suse.de
- adapt live-installer detection for 11.0
* Wed Apr 16 2008 stbinner@suse.de
- remove self conflicts (bnc#380122)
* Mon Apr 14 2008 dmueller@suse.de
- add kde4 config migration wizard
- implement various missing features in kde4-kio_sysinfo
* Sun Apr 13 2008 coolo@suse.de
- do not install on base system (see opensuse-packaging thread)
* Fri Apr 11 2008 stbinner@suse.de
- add search provider for Novell Bugzilla "bnc" (bnc#377521)
- add default bookmarks, feeds and browser start page
- fix Konq asks what to do with YMP instead of opening (bnc#377151)
* Thu Apr 10 2008 stbinner@suse.de
- add openSUSE workspace branding and default desktop configuration
* Wed Apr  9 2008 dmueller@suse.de
- split off kde4-kio_sysinfo-branding-openSUSE,
  kdebase4-workspace-branding-openSUSE
- add kde4-kdm theming
* Thu Feb 21 2008 stbinner@suse.de
- ported krpmview
* Mon Feb 18 2008 dmueller@suse.de
- better integration of kio_sysinfo
* Fri Feb 15 2008 dmueller@suse.de
- add kde4-kio_sysinfo
* Thu Feb  7 2008 stbinner@suse.de
- rename package to kdebase4-openSUSE
- move Kicker/KDesktop autostart prevention to kdelibs4
- fix icon of SUSEgreeter
- add Live Installer desktop icon on Live-CD
* Mon Feb  4 2008 stbinner@suse.de
- fix build
* Mon Feb  4 2008 llunak@suse.cz
- prevent Kicker/KDesktop from autostarting in KDE4
* Mon Feb  4 2008 stbinner@suse.de
- add files to have kmix autostarted by default
* Wed Jan 30 2008 stbinner@suse.de
- initial version in abuild
